Skip to content
Docs

Create a microfrontends group with applications

POSThttps://api.vercel.com/v1/microfrontends/group
Creates a microfrontends group and attaches multiple projects in a single request.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.microfrontends.createMicrofrontendsGroupWithApplications({
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
groupName: "MFE Group 1",
defaultApp: {
projectId: "<id>",
},
otherApplications: [
{
projectId: "<id>",
},
],
},
});
console.log(result);
}
run();
Response
{
"newMicrofrontendsGroup": {
"id": "icfg_1234567890",
"slug": "string",
"name": "Example Name",
"fallbackEnvironment": "string",
"enablePolyrepoBranchRouting": "false",
"createdAt": "123",
"updatedAt": "123"
}
}
AuthorizationbearerToken

Default authentication mechanism

teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
groupNamestringRequired
The name of the microfrontends group that will be used to identify the group
defaultAppobjectRequired
The default app for the new microfrontend group
otherApplicationsarrayRequired
The list of other applications that will be used in the new microfrontend group
200Success
newMicrofrontendsGroupobjectRequired
400One of the provided values in the request body is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
410Error
500Error